Redmine - Feature #2585

Add Modules to hide/display Overview, Activity, Roadmap

2009-01-26 12:05 - Ben Blanco

Status: New
Priority: Normal
Assignee:

Category: Projects

Target version:

Resolution:

Start date: 2009-01-26
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

When opening Projects to clients, in some cases one may not want to display Activity or Overview. The Project Settings' Modules

covers most of a Project's tabs, but not:

e Qverview
e Activity
¢ Roadmap

Could tick boxes be added here, so that Admins can 100% customize the look & feel of each project according to its requirements

(confidentiality, etc..).

Related issues:

Related to Redmine - Defect #27902: Overview page is very slow for private pr... New
Has duplicate Redmine - Feature #9930: Removable Overview / Activity menus Closed
Has duplicate Redmine - Feature #4955: How to simplify the interface as much ... Closed 2010-03-01

Has duplicate Redmine - Feature #34881: Activity page block

Closed

History

#1 - 2009-01-26 12:15 - Ben Blanco
- File Project_Settings_Modules.png added

Screenshot of currently available Modules:

Settings
Information Modules Members Vers

Select modules to enable for this project:
M Issue tracking

M Time tracking

M News

@ Documents

™ Files

B Wik

[] Repository

[[] Boards

#2 - 2009-04-09 06:57 - colin moock

+1

#3 - 2009-05-08 12:13 - Sami Isomaki

+1
#4 - 2010-04-13 03:11 - Ali Entezari

+1

#5 - 2010-04-17 00:07 - Ali Entezari

To Hide Activity Tab, remove the following line from redmine\lib\redmine.rb

menu.push :help, Redmine::Info.help_url, :last => true

#6 - 2010-04-17 00:13 - Ali Entezari
- Status changed from New to Resolved

- % Done changed from 0 to 100

#7 - 2010-04-18 12:39 - Jean-Philippe Lang
- Status changed from Resolved to New

- % Done changed from 100 to 0

This is not resolved. Hiding the links won't disable the views.

#8 - 2010-11-19 09:28 - Davide Setti

+1

#9 - 2010-11-26 14:04 - Matthias Michelsburg

+1

#10 - 2011-04-05 23:02 - Joshua Villagomez

| too would like to see this feature added.

#11 - 2011-08-17 23:13 - Bernd Vogt

+1

#12 - 2011-09-09 00:28 - Aidin Abedi

+1

#13 - 2011-09-09 15:54 - Aidin Abedi

| just tried a this module plugin for Activity with my redmine 1.2.1 and it works! https:/github.com/finnlabs/redmine_activity module

| then tried to copy it and rewrite it for Roadmap but the copy doesn't play nice with the original so | can't make them work simultaneously.

#14 - 2011-09-10 00:06 - Terence Mill

There is the plugin redmine blocks which can show hide elemnts on overview page.

The Roadmap shall be sparated from issue module in core
+1

#15 - 2012-03-16 16:19 - Line Bourdages

+1

#16 - 2012-03-17 18:21 - Terence Mill

+1

#17 - 2012-03-20 04:17 - llorbinshane aifseng

- Assignee set to Maxim Krusina

#18 - 2012-03-20 14:05 - Etienne Massip

- Assignee deleted (Maxim Krusina)

#19 - 2012-10-23 19:01 - Dimitri Sapunou

+1
https://github.com/finnlabs/redmine_activity_module

#20 - 2012-12-24 13:08 - Arthur Zalevsky

Same here. Is it possible to implement this feature in Redmine 2.*?

#21 - 2012-12-27 01:26 - Pawel Orzechowski

+1

#22 - 2013-07-26 11:23 - Vitaliy Shestunov

+1

#23 - 2013-08-26 10:53 - Bishoy Medhat

+1

#24 - 2013-08-26 14:36 - Daniel Felix

Another idea could be to define permissions to disable this items for certain usergroups.

#25 - 2014-05-05 18:33 - Muditha Jayawardana

Is there any plugging or a patch to do this.
hide overview and road map module for specific role.

#26 - 2014-05-22 22:24 - Vinicius Ferreira

+1

#27 - 2014-07-09 23:31 - F Abu-Nimeh

+1
#28 - 2014-07-10 13:45 - Daniel Felix
Hi there,

if I'm not too wrong, this could already be done. If you remove the rights to see the activities and so on for a special role, the user won't see the menu
item, doesn't it?

#29 - 2014-07-10 13:49 - Daniel Felix

Yes I'm wrong. The Activity is displayed at all. But the Gantt and the roadmap should be hidden if there were insufficient rights. Maybe this could be
solved via a simple additional right "can see activity"?

#30 - 2014-09-01 17:36 - Heinrich Danderfer

+1

#31 - 2014-09-02 09:28 - taha mohammed el kahlaoui

+oo

#32 - 2014-12-02 03:47 - Go MAEDA

- Has duplicate Feature #4955: How to simplify the interface as much as possible added

#33 - 2014-12-29 15:18 - David Nielsen

+1
#34 - 2015-04-13 17:07 - Cédric Brancourt
Well | can provide easy instructions to disable some menu items.
It can be used in plugins:
Redmine: :MenuManager.map (:project_menu) .delete (:activity)
Redmine is easy to extend and customize through plugins avoid temptation to edit it's files and write plugin instead ! This way you can follow versions.
A plugin that disable the activity tab is a single file plugin :
# plugins/disable_activity/init.rb

Redmine: :Plugin.register :disable_activity do
name 'Disable Activity'

author 'Cedric Brancourt'

version '0.0.1"'

description 'Disable activity tab'

Redmine: :MenuManager.map (:project_menu) .delete (:activity)

end

And you're done.
#35 - 2015-04-13 18:22 - Cédric Brancourt
By the way if you wish to forbid access to activities this can be a 2 files plugin :
# plugins/disable_activity/init.rb
require 'activities_controller_override'
Redmine: :Plugin.register :disable_activity do
name 'Disable Activity'
author 'Cedric Brancourt'

version '0.0.1"'
description 'Disable activity tab'

Redmine: :MenuManager.map (:project_menu) .delete (:activity)

permission :view_activities, custom_activities: :index

ActivitiesController.send(:include, ActivitiesControllerOverride)

end

# plugins/disable_activities/lib/activities_controller_override

module ActivitiesControllerOverride
def self.included(activity_controller)
activity_controller.send(:include, InstanceMethods)
activity_controller.class_eval do
alias_method_chain :index, :custom_authorize
end
end

module InstanceMethods
def index_with_custom_authorize
authorize :custom_activities, :index, false
index_without_custom_authorize
end
end

end

#36 - 2015-04-22 11:30 - 4wk_ _

Really need this feature without plugin (cause it hide it for everyone / for every project) : just another checkbox on the admin panel !

+1

#37 - 2015-08-14 07:54 - Subash Manickam

Yes | am looking the same kind of functionality for Clients, So giving a checkbox "Show Overview Tab" on User roles would be great

#38 - 2015-09-05 07:06 - Tomohisa Kusukawa

+1

#39 - 2015-10-12 12:26 - Mathieu Hicauber

+1

#40 - 2015-12-18 18:01 - Yaroslav Lavitskas

+1
#41 - 2016-01-03 12:06 - Filip Sabo

+1

#42 - 2016-04-27 15:34 - Donald Martin

+1

#43 - 2016-04-27 15:37 - Donald Martin

Otherwise if it can't be an option per project to remove overview I'd like to be able to change the default page per project. If you go to a project, on
some I'd like to go straight to issues on others I'd like to go straight to Documents - etc etc

#44 - 2016-06-02 21:48 - Leszek Koltunski

+1. Come on guys - can we have this implemented?

#45 - 2016-08-12 11:44 - Robert RedI|

Cédric Brancourt wrote:
Well | can provide easy instructions to disable some menu items.
It can be used in plugins:

(-]

Redmine is easy to extend and customize through plugins avoid temptation to edit it's files and write plugin instead ! This way you can follow
versions.

A plugin that disable the activity tab is a single file plugin :

(-]

And you're done.

This method works very well for the activity page, but how to remove the Overview?

#46 - 2016-09-12 15:31 - George Notaras

| needed to minimize the amount of public web pages generated by Redmine so as to reduce the load on the server when the application is hit by
bots. The goal is to keep only the overview/wiki/files tabs publicly available per project, since they are the only ones that are actually used.

| did a quick test with the plugin code posted above and it seems to work. The Activity page redirects to the login page. However, there are still some
issues with the activity Atom feeds:

1) The feed for the overall activity returns a 500 error. The following errors are recorded in the log:

AbstractController::DoubleRenderError (Render and/or redirect were called multiple times in this action. Pleas

e note that you may only call render OR redirect, and at most once per action. Also note that neither redirect
nor render terminate execution of the action, so if you want to exit an action after redirecting, you need to
do something like "redirect_to(...) and return".):
app/controllers/application_controller.rb:526:in "render_feed'
app/controllers/activities_controller.rb:71:in “block (2 levels) in index'
app/controllers/activities_controller.rb:59:in "~ index'
plugins/disable_activity/lib/activities_controller_override.rb:13:in "index_with_custom_authorize'
lib/redmine/sudo_mode.rb:63:in " sudo_mode'

AbstractController::DoubleRenderError (Render and/or redirect were called multiple times in this action. Pleas
e note that you may only call render OR redirect, and at most once per action. Also note that neither redirect
nor render terminate execution of the action, so if you want to exit an action after redirecting, you need to
do something like "redirect_to(...) and return".):
app/controllers/application_controller.rb:526:in "“render_feed'
app/controllers/activities_controller.rb:71:in “block (2 levels) in index'
app/controllers/activities_controller.rb:59:in "~ index'
plugins/disable_activity/lib/activities_controller_override.rb:13:in " index_with_custom_authorize'
lib/redmine/sudo_mode.rb:63:in " sudo_mode'

2) The activity feed of each individual project continues to work as if the Activity page was publicly available.

In my opinion the expected behavior regarding both types of activity feeds (overall & per project) would be to redirect to the login screen, like it
happens with the activity pages.

Any ideas about how to address the above issues are very welcome.

Update: +1 for the implementation of this feature in the Redmine core.
http://www.redmine.org/issues/2585#note-35

#47 - 2017-01-20 16:51 - luigifab !
+10:)

#48 - 2017-09-26 01:27 - Jules Bowie

+1

- want to disable the overview and activity for a 'read-only' project that has a wiki and news modules. | don't want users to see other members' names

(except for those with edit rights)

#49 - 2018-01-05 17:04 - simon butcher

for private projects, the users are shown on the overview page as members. when you have 3000+ members this slows everything down hideously

when viewing overview page. an option to hide overview would be good.

#50 - 2018-01-30 17:55 - Toshi MARUYAMA

- Related to Defect #27902: Overview page is very slow for private projects with large number of members added

#51 - 2020-08-21 09:50 - Aleksandar Pavic

+1

#52 - 2021-03-11 09:35 - Go MAEDA
- Has duplicate Feature #34881: Activity page block added

#53 - 2021-05-19 09:07 - Alexandr Chernyaev

+1
